html{
	box-sizing: border-box;
	moz-box-sizing: border-box;
	webkit-box-sizing: border-box;
	webkit-text-size-adjust: none;
}

html,
body{
	background-color: var(--color-background);
	color: var(--color-text-pri);
	font-family: -apple-system, BlinkMacSystemFont, Helvetica Neue, Roboto, sans-serif;
	font-size: 14px;
	font-weight: 400;
	height: auto;
	letter-spacing: -.012em;
	margin: 0;
	padding: 0;
	webkit-font-smoothing: antialiased;
	width: 100vw;
}

*,
*:before,
*:after{
	box-sizing: inherit;
	moz-box-sizing: inherit;
	webkit-box-sizing: inherit;
}

:root{
	module-spacing: 3vh;
	--color-background: #ffffff;
	--color-text-pri: #222222;
	--color-text-acc: #00833d;
	--color-text-head: #00833d;
	
}


/* TEXT STYLES */

h1, h2, h5{
	font-weight: 300;
	margin: 0;
	padding: 0;
	text-align: left;
}

h2, h3, h4{
    text-transform: uppercase;
}

h1{
	font-size: 4em;
	font-weight: 700;
	margin-bottom: 0.5em;
}

h2{
	font-size: 16px;

	
}

h3{
	font-size: 16px;
	font-weight: 600;
	height: 10px;
	color: var(--color-text-head);
}

h4{
	font-size: 1.1em;
	font-weight: 400;
	height: 10px;
}

h5{
	color: var(--color-text-acc);
	font-size: 0.8em;
	text-transform: uppercase;



}

a{
	color: var(--color-text-pri);
	text-decoration: none;
}

a:hover{
	text-decoration: underline;
	webkit-text-decoration-color: var(--color-text-acc);
	webkit-text-decoration-skip: true;
}

.icon{
	font-size: 2.5em;
}


/* FORMS */

input{

	border: 0;
	border-bottom: thin solid var(--color-text-acc); 
	height: 3.5em;
	color: var(--color-text-pri);
	font-size: 0.8em;
	background-color: transparent;
}

input:focus{
	color-border: var(--color-text-pri);
	outline: none;
}

input:focus{
	opacity: 1;
}


/* TABLES */

table{
	border: thin solid #e4e4e4;
	border-collapse: collapse;
	border-spacing: 0;
	font-size: 1em;
	text-align: left;
	width: 100%;
}

table td:nth-of-type(2){
	padding-right: 5em;
}

table td{
	border: thin solid #e4e4e4;
	color: #333333;
	font-size: 1em;
	overflow: hidden;
	padding: 10px 5px;
	word-break: normal;
}

table th{
	border: thin solid #e4e4e4;
	color: #333333;
	font-weight: bold;
	padding: 10px 5px;
}

table a{
	color: #333333;
}


/* ANIMATION */

.fade{
	opacity: 0;
}

@keyframes fadeseq{
	100%	{
		opacity: 1;
	}
}

.fade{
	opacity: 0;
}

.fade{
	animation: fadeseq .3s forwards;
}

.fade:nth-child(2){
	animation-delay: .4s;
}


/* LAYOUT */

#container{
	align-items: stretch;
	display: grid;
	grid-column-gap: 20px;
	grid-row-gap: 3vh;
	grid-template-columns: 1fr;
	grid-template-rows: 8vh auto;
	justify-items: stretch;
	margin-left: auto;
	margin-right: auto;
	margin-top: 5vh;
	width: 60%;

	
}

/* SECTIONS */

#header{

	border-bottom: 0px solid var(--color-text-acc);
	z-index: 1;
	padding-top: 15px;

}

.header_column {
  float: left;
}

.header_left {
  width: 60%;
}

.header_right {
  width: 40%;
}

.header_row:after {
  content: "";
  display: table;
  clear: both;
}


#spacer{
	height: 1em;
}

#apps_loop{
	border-bottom: 0px solid var(--color-text-acc);
	display: grid;
	grid-column-gap: 0px;
	grid-row-gap: 0px;
	grid-template-columns: 1fr 1fr 1fr 1fr;
	grid-template-rows: 64px;
	padding-bottom: var(--module-spacing);

}
#apps_loop a:hover{

	text-decoration: none;
	box-shadow: 0px 1px 0px 0px var(--color-text-acc);
}

.apps_icon{
	height: 64px;
	margin-right: 1em;
	padding-top: 15px;
}

.apps_icon span{
	font-size: 2.5em;
	line-height: 3rem;
}

.apps_item{
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	height: 64px;
	margin: 0;
	border: 0px solid var(--color-text-acc);
}

.apps_text{
	display: flex;
	flex-direction: column;
	justify-content: center;
}

.apps_text a{
	font-size: 1em;
	font-weight: 500;
	text-transform: uppercase;
}

.apps_text span{
	color: var(--color-text-acc);
	font-size: 0.8em;
	text-transform: uppercase;
}


#links_loop{
	display: grid;
	flex-wrap: nowrap;
	grid-column-gap: 20px;
	grid-row-gap: 0px;
	grid-template-columns: 1fr 1fr 1fr 1fr;
	grid-template-rows: auto;
	
}

#links_item{
	line-height: 1.5rem;
	margin-bottom: 2em;
	webkit-font-smoothing: antialiased;
}

#links_item h4{
	color: var(--color-text-acc);
}

#links_item a{
	display: block;
	line-height: 2;
	
}

#links_item a:hover{
text-decoration: underline var(--color-text-acc);

}

/* MEDIA QUERIES */

@media screen and (max-width: 1260px)
{
	#container
	{
		align-items: stretch;
		display: grid;
		grid-column-gap: 10px;
		grid-row-gap: 0px;
		grid-template-columns: 1fr;
		grid-template-rows: 80px auto;
		justify-items: stretch;
		margin-bottom: 1vh;
		margin-left: auto;
		margin-right: auto;
		width: 90%;
	}
    
	#apps_loop{
		grid-template-columns: 1fr 1fr 1fr;
		width: 100vw;
	}

	#links_loop	{
		grid-template-columns: 1fr 1fr 1fr;
	}

    #modal>div{
        margin-left: auto;
        margin-right: auto;
        margin-top: 25vh;
        width: 90%;
    }
}

@media screen and (max-width: 667px)
{
	html{
		font-size: calc(16px + 6 * ((100vw - 320px) / 680));
	}

	#container{
		align-items: stretch;
		display: grid;
		grid-column-gap: 20px;
		grid-row-gap: 0px;
		grid-template-columns: 1fr;
		grid-template-rows: 80px auto;
		justify-items: stretch;
		margin-bottom: 1vh;
		width: 90%;
	}

	h1{
		font-size: 4em;
		height: auto;
		margin-bottom: 0em;
	}

	h2{
		font-size: 1em;
		height: auto;
		margin-bottom: 0em;
	}

	h3{
		font-size: 1em;
	}

	#apps_loop{
		grid-column-gap: 0px;
		grid-row-gap: 0px;
		grid-template-columns: 1fr 1fr;
		width: 100vw;
	}

	.apps_icon{
		height: 64px;
		margin-right: 0.8em;
		padding-top: 14px;
		
	}

	.apps_icon span{
		font-size: 2em;
		line-height: 2.5rem;
	}
    
	#links_loop{
		display: grid;
		flex-wrap: nowrap;
		grid-column-gap: 20px;
		grid-row-gap: 0px;
		grid-template-columns: 1fr 1fr;
		grid-template-rows: auto;
	}
}